package com.bankaudit.dto;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import com.bankaudit.model.MaintActionItemWrk;

public class MaintActionItemDto implements Serializable { 
 
	private static final long serialVersionUID = -3369364623364522391L;

	private List<MaintActionItemWrk> maintActionItemWrkList =  new ArrayList<MaintActionItemWrk>();
	
	private Integer legalEntityCode;	 
	private String auditTypeCode;	 
	private String entityType;	 
	private String actionItem;	 
	private String actionItemType;  	 
	private String status;	 
	private String entityStatus;	 
	private String authRejRemarks;	 
	private String maker;	 	 
	private String checker;
		
	private Integer  actionItemsCount;
	private Integer  informationItemsCount;
	private Integer  totalCount;
		 
	public List<MaintActionItemWrk> getMaintActionItemWrkList() {
		return maintActionItemWrkList;
	}
	public void setMaintActionItemWrkList(List<MaintActionItemWrk> maintActionItemWrkList) {
		this.maintActionItemWrkList = maintActionItemWrkList;
	}
	public Integer getLegalEntityCode() {
		return legalEntityCode;
	}
	public void setLegalEntityCode(Integer legalEntityCode) {
		this.legalEntityCode = legalEntityCode;
	}
	public String getAuditTypeCode() {
		return auditTypeCode;
	}
	public void setAuditTypeCode(String auditTypeCode) {
		this.auditTypeCode = auditTypeCode;
	}
	public String getEntityType() {
		return entityType;
	}
	public void setEntityType(String entityType) {
		this.entityType = entityType;
	}
	public String getActionItem() {
		return actionItem;
	}
	public void setActionItem(String actionItem) {
		this.actionItem = actionItem;
	}
	public String getActionItemType() {
		return actionItemType;
	}
	public void setActionItemType(String actionItemType) {
		this.actionItemType = actionItemType;
	}
	public String getStatus() {
		return status;
	}
	public void setStatus(String status) {
		this.status = status;
	}
	public String getEntityStatus() {
		return entityStatus;
	}
	public void setEntityStatus(String entityStatus) {
		this.entityStatus = entityStatus;
	}
	public String getAuthRejRemarks() {
		return authRejRemarks;
	}
	public void setAuthRejRemarks(String authRejRemarks) {
		this.authRejRemarks = authRejRemarks;
	}
	public String getMaker() {
		return maker;
	}
	public void setMaker(String maker) {
		this.maker = maker;
	}
	public String getChecker() {
		return checker;
	}
	public void setChecker(String checker) {
		this.checker = checker;
	}
	public Integer getActionItemsCount() {
		return actionItemsCount;
	}
	public void setActionItemsCount(Integer actionItemsCount) {
		this.actionItemsCount = actionItemsCount;
	}
	public Integer getInformationItemsCount() {
		return informationItemsCount;
	}
	public void setInformationItemsCount(Integer informationItemsCount) {
		this.informationItemsCount = informationItemsCount;
	}
	public Integer getTotalCount() {
		return totalCount;
	}
	public void setTotalCount(Integer totalCount) {
		this.totalCount = totalCount;
	}
	  		
}
